### Enumeration

# Fwupd SecurityAttrLevel

#### Declaration

    enum Fwupd.SecurityAttrLevel

#### Description [src]

The HSI level.

#### Members

Name | Description
--- | ---
`FWUPD_SECURITY_ATTR_LEVEL_NONE` | Very few detected firmware protections.
`FWUPD_SECURITY_ATTR_LEVEL_CRITICAL` | The most basic of security protections.
`FWUPD_SECURITY_ATTR_LEVEL_IMPORTANT` | Firmware security issues considered important.
`FWUPD_SECURITY_ATTR_LEVEL_THEORETICAL` | Firmware security issues that pose a theoretical concern.
`FWUPD_SECURITY_ATTR_LEVEL_SYSTEM_PROTECTION` | Out-of-band protection of the system firmware.
`FWUPD_SECURITY_ATTR_LEVEL_SYSTEM_ATTESTATION` | Out-of-band attestation of the system firmware.